Subject: bug#7921: 23.2.91; js-mode font lock problem with comments

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Jan 2011 12:22:52 -0500

>>> path=/";/ # Everything following and including the last / is string face
>>> path="; # Everything is fine
>>> path=//"; # Everything is fine
>> 
>> I've put the above three lines in ~/tmp/foo.js and opened it with
>> Debian's emacs23 and I don't think I see the problems you describe in
>> the comments.  OTOH I see other problems of highlighting but they're
>> largely due to the code itself being meaningless, AFAIK (# is not
>> a comment marker in javascript, is it?).
>> 

> I'm sorry, I should have been more clear. The # signs are
> meta-comments, please leave them out when trying to reproduce the
> problem.

In my tests, the ";\npath=//" is treated as a string.  This sounds right
to me, but not being a js-programmer, your example makes me doubt.
IOW, using the latest code in the emacs-23, are there still some issues
with js-mode's font-locking?

        Stefan